Loading...
Searching...
No Matches
borderElem Class Reference

The old basis. More...

## Public Member Functions

| borderElem ()
| borderElem (poly p, fglmVector n)
| ~borderElem ()

## Data Fields

poly | monom
fglmVector | nf

## Detailed Description

The old basis.

Definition at line 299 of file fglmzero.cc.

## Constructor & Destructor Documentation

## borderElem() [1/2]

borderElem::borderElem | ( |  | ) |

inline

Definition at line 304 of file fglmzero.cc.

: monom(NULL), nf() {}
borderElem::monom
poly monom
Definition fglmzero.cc:302
borderElem::nf
fglmVector nf
Definition fglmzero.cc:303
NULL
#define NULL
Definition omList.c:12

## borderElem() [2/2]

borderElem::borderElem | ( | poly | p,
|  | fglmVector | n )

inline

Definition at line 305 of file fglmzero.cc.

: monom( p ), nf( n ) {}
p
int p
Definition cfModGcd.cc:4086

## ~borderElem()

borderElem::~borderElem | ( |  | ) |

inline

Definition at line 306 of file fglmzero.cc.

{ if (monom!=NULL) pLmDelete(&monom); }
pLmDelete
#define pLmDelete(p)
assume p != NULL, deletes Lm(p)->coef and Lm(p)
Definition polys.h:77

## Field Documentation

## monom

poly borderElem::monom

Definition at line 302 of file fglmzero.cc.

## nf

fglmVector borderElem::nf

Definition at line 303 of file fglmzero.cc.

The documentation for this class was generated from the following file:

- kernel/fglm/fglmzero.cc